Skip to main content

List Tasks

List tasks

Contents

Overview

  • Endpoint URL: https://{Services API hostname}/tasks
  • Request method: HTTP GET
  • Response Content-Type: application/json
  • Auth required: yes

Retrieve a list of tasks for the authenticated chain. The response is an array of task objects.

Version-specific information

The following version-specific changes apply to this endpoint:

VersionChange details
N/AN/A

Permissions and Authentication

This endpoint requires chain-scoped authentication on the Services API. See the authentication page for more details on authentication methods. The following authentication types are permitted:

  • Privileged authentication: the use of privileged authentication is permitted for this endpoint.
  • Admin authentication: the use of admin authentication is permitted. The performing user needs to have the appropriate access level for the chain.

Headers

The following headers can/must be passed to the API call:

ParameterDescription
N/AN/A

Query parameters

ParameterTypeRequiredDescription
statusstringoptionalFilter by task state. One of: READY, INPROGRESS, DONE, ERROR.
actionstringoptionalFilter by target action (e.g. export).
campaign_idintegeroptionalFilter by associated campaign ID.
limitintegeroptionalMaximum number of tasks to return.
offsetintegeroptionalOffset for pagination.

Sample request

curl 'https://{Services API hostname}/tasks?status=DONE&action=export' \
-H 'Authorization: Bearer ACCESS_TOKEN_ID:ACCESS_TOKEN_SECRET'

Sample response

Returns an array of task objects. See Task object structure for a description of all fields.

[
{
"id": 12345,
"chain": 1764,
"desc": "Wallet ledger export for analytics warehouse",
"state": {
"code": "DONE",
"last_run_date": "2026-05-26T12:00:00Z",
"last_modified": "2026-05-26T12:08:30Z",
"created_date": "2026-05-26T11:59:00Z"
},
"trigger": {
"once": "2026-05-26T12:00:00Z"
},
"target": {
"action": "export",
"export_index": "wallet-ledger",
"export_format": "csv"
},
"logs": null,
"debug": "",
"version": 2,
"result": "Wallet_Export-12345.csv"
},
{
"id": 12346,
"chain": 1764,
"desc": "Users created in the last 24 hours",
"state": {
"code": "DONE",
"last_run_date": "2026-05-26T13:00:00Z",
"last_modified": "2026-05-26T13:02:15Z",
"created_date": "2026-05-26T12:59:00Z"
},
"trigger": {
"once": "2026-05-26T13:00:00Z"
},
"target": {
"action": "export",
"export_index": "users",
"export_format": "csv"
},
"logs": null,
"debug": "",
"version": 2,
"result": "User_Export-12346.csv"
}
]

Possible error responses

The following represents a list of possible error responses for this endpoint:

ConditionDescription
Invalid status filterThe status parameter contains an unrecognised state code.
Authentication failureNo valid authentication provided or insufficient permissions.